Add a short statement in the About window explaining the mission of Firefox
I've been thinking about how currently the About window is very literal, version number, rights reserved, long string of technojargon talking about Windows NT and .NET (wtf).

But none of these things really tell you *about* Firefox, what it is, why it exists.

What if we visually de-emphasized all of the literal information, and added a short statement:

>Firefox is finely crafted by the Mozilla community so that the world may have >access to a free and open Web.

Sort of "Designed by Apple in California" but with hopefully a more global and utopian feel.